io.etcd.jetcd.cluster

## Class MemberAddResponse

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<MemberAddResponse>
  - - io.etcd.jetcd.cluster.MemberAddResponse

All Implemented Interfaces:
  Response

    public class MemberAddResponse
    extends AbstractResponse<MemberAddResponse>

MemberAddResponse returned by `Cluster.addMember(List)` contains a header, added member, and list of members after adding the new member.

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`MemberAddResponse(MemberAddResponse response)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Member` `getMember()` returns the member information for the added member.
`List<Member>` `getMembers()` returns a list of all members after adding the new member.

### Methods inherited from class io.etcd.jetcd.AbstractResponse

`getHeader, getResponse, getResponseHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MemberAddResponse

    public MemberAddResponse(MemberAddResponse response)

### Method Detail

#### getMember

    public Member getMember()

returns the member information for the added member.

#### getMembers

    public List<Member> getMembers()

returns a list of all members after adding the new member.